const Sequelize = require("sequelize");
const db = require("../../db");

module.exports = db.sequelize.define("shopimages", {
  image_id: {
    type: Sequelize.INTEGER,
    primaryKey: true,
    autoIncrement: true
  },
  shop_id: {
    type: Sequelize.INTEGER,
    primaryKey: true,
    references: 'shops',
    referencesKey: 'id'
  },

  image: {
    type: Sequelize.TEXT
  },
  type: {
    type: Sequelize.STRING
  }
});
